Solved How do I update using buildtools?

Discussion in 'Spigot Help' started by Julianhak, Feb 17, 2020.

  1. Hello, I recently created a Spigot MC server for a community I am a part of. The person I made it for insists on it being updated to 1.15.2, but I have no idea how, I followed the tutorial that i'll be given by all of you, https://www.spigotmc.org/wiki/buildtools/, yet I still get this message.
    [​IMG]
    In ~/buildtools, it's there, squared.[​IMG]

    I have no clue how to get my server updated to 1.15.2, if anyone could help, that'd be great. I'm running Ubuntu 16.04 from ovh on mac terminal.
     
    #1 Julianhak, Feb 17, 2020
    Last edited: Feb 17, 2020
  2. Strahan

    Benefactor

    Did you download the latest BuildTools.jar then generate it from that? Start it, ignore the warning and let it start. Once up, type version and paste here what it tells you.
     
  3. This server is running CraftBukkit version git-Spigot-037559e-752cf95 (MC: 1.15.1) (Implementing API version 1.15.1-R0.1-SNAPSHOT)

    [12:20:39] [Server thread/INFO]: Checking version, please wait...

    [12:20:40] [Thread-23/INFO]: You are 46 version(s) behind


    I don't know how to download latest buildtools, or anything of that sort. I just ran:
    Code (Text):
    java -jar BuildTools.jar --rev latest
    . in ~/buildtools
     
  4. Nevermind, I solved it on my own